#include "display.h"

#define SPACE_BUTTON 0x40
#define BACKSPACE_BUTTON 0x01
#define ENTER_BUTTON 0x49
#define ESCAPE_BUTTON 0x43

#define RIGHT_BUTTON 0x44
#define LEFT_BUTTON 0x41
#define DOWN_BUTTON 0x48
#define UP_BUTTON 0x42
#define PAGEDOWN_BUTTON 0x4c
#define PAGEUP_BUTTON 0x46
#define CONTROL_BUTTON 0x11
#define SHIFT_BUTTON 0x21
#define MENU_BUTTON 0x81

#define BACKSPACE 0x08
#define ENTER 0x0a
#define ESCAPE 0x1b
enum special_chars {
   DAKUON = 0x1000, 
     HANDAKUON, 
     YOUON, 
     YOUDAKUON, 
     YOUHANDAKUON, 
     OOMOJI, 
     GAIKOKUJI, 
     SUUJI,

     RIGHT, 
     LEFT, 
     DOWN, 
     UP, 
     PAGEDOWN, 
     PAGEUP, 
     CONTROL, 
     SHIFT, 
     MENU
};

void init_tenji(int screen, int x, int y);
void draw_tenji_to_font(int dstcode, int code);
void draw_tenji(int screen, int x, int y, int code);
void draw_button_to_font(int dstcode, int code);
void draw_button(int screen, int x, int y, int code);
void process_button(int button, int* result0, int* result1);
void draw_tenji_help(int screen, int x, int y);
